import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

export const LastPageLink = props => {
	const { disabled, onClick } = props;
	const className = classNames('p-paginator-last p-paginator-element p-link', {
		'p-disabled': disabled,
	});

	return (
		<button
			type="button"
			className={className}
			onClick={onClick}
			disabled={disabled}
			aria-label="Ostatnia strona"
		>
			<span className="p-paginator-icon pi pi-step-forward" />
		</button>
	);
};

LastPageLink.defaultProps = {
	disabled: PropTypes.bool,
	onClick: PropTypes.func,
};

LastPageLink.propTypes = {
	disabled: false,
	onClick: null,
};

export default LastPageLink;
